API ReferenceDashboard sessions

Create dashboard session

The Dashboard Sessions API allows you to generate a short-lived session link that grants an account member access to the dashboard without requiring login credentials. This is useful for creating seamless, secure login experiences from external systems or integrations.

Before you can generate a session link for someone, you'll need to add them to your SavvyCal account. You can do this by navigating to Settings → Members & permissions and following the instructions to add a new user. Alternatively, you may use the Create account user API to add them programmatically.

The user_id property property can be retrieved from the List account users API, or by copying it directly from the Settings → Members & permissions page.

To sign the user in, redirect the browser to the dashboard session url returned in the response.

Example Flow

  1. User clicks a button in your application to "Manage appointments".
  2. Your application receives this request and creates a dashboard session via the API.
  3. Your application redirects the user to the dashboard session URL.
  4. The user is automatically signed in to the dashboard and redirected to the home screen.
POST
/v1/dashboard_sessions

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Dashboard session params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a dashboard session

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/dashboard_sessions" \  -H "Content-Type: application/json" \  -d '{    "idle_timeout_minutes": 15,    "return_url": "https://example.com/home",    "user_id": "user_d025a96ac0c6"  }'
{  "data": {    "created_at": "2017-09-12T12:34:55Z",    "id": "ds_d025a96ac0c6",    "idle_timeout_minutes": 15,    "object": "dashboard_session",    "return_url": "https://example.com/dashboard",    "url": "https://savvycal.app/d/session/ds_d025a96ac0c6/XXXXXXX",    "user_id": "user_d025a96ac0c6"  }}